Autodesk.AutoCAD.Geometry Namespace > CircularArc2d Class > CircularArc2d Constructor > CircularArc2d(Point2d, Point2d, Point2d) Constructor
CircularArc2d.CircularArc2d(Point2d, Point2d, Point2d) Constructor
Description

Constructs an arc through three points. None of the three points may be coincident and they may not be colinear. This constructor always constructs a bounded arc and cannot be used to construct a full circle.

Visual Basic
Public Sub New(
    startPoint As Point2d, 
    point As Point2d, 
    endPoint As Point2d
)
C#
public CircularArc2d(
    Point2d startPoint, 
    Point2d point, 
    Point2d endPoint
);
Parameters
Parameters 
Description 
Point2d startPoint 
Input start point of arc 
Point2d point 
Input point on arc 
Point2d endPoint 
Input endpoint of arc 
Links
   Comments?